at.chipkarte.client.kse.soap

## Class Erstkonsultationsdaten

- Object
- - at.chipkarte.client.kse.soap.Erstkonsultationsdaten

-     public class Erstkonsultationsdaten
      extends Object

  Enthält die Daten zu einer Erstkonsultation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Erstkonsultationsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgeleitetDruckNachname()` Drucknachname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetDruckVorname()` Druckvorname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetNachname()` Nachname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetVorname()` Vorname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAnspruchId()` ID des Anspruchs (eigener oder abgeleiteter, dient zur Referenzierung dieses Anspruchs in anderen Funktionen).
    `String` | `getBehandlungsDatum()` Datum der Behandlung.
    `String` | `getBehandlungsfallCode()` Behandlungsfallcode mit dem die Konsultation durchgeführt wurde.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
    `String` | `getKonsultationsartCode()` Kennzeichen für die Konsultationsart.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String` | `getSvNummerAbgeleitet()` Sozialversicherungsnummer des Versicherten, von dem sich der Anspruch ableitet.
    `String` | `getSvtCode()` Code des leistungszuständigen KVT für den Patienten.
    `void` | `setAbgeleitetDruckNachname(String abgeleitetDruckNachname)`
    `void` | `setAbgeleitetDruckVorname(String abgeleitetDruckVorname)`
    `void` | `setAbgeleitetNachname(String abgeleitetNachname)`
    `void` | `setAbgeleitetVorname(String abgeleitetVorname)`
    `void` | `setAnspruchId(String anspruchId)`
    `void` | `setBehandlungsDatum(String behandlungsDatum)`
    `void` | `setBehandlungsfallCode(String behandlungsfallCode)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setKonsultationsartCode(String konsultationsartCode)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setSvNummerAbgeleitet(String svNummerAbgeleitet)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Erstkonsultationsdaten

          public Erstkonsultationsdaten()

  - ### Method Detail

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setSvNummerAbgeleitet

          public void setSvNummerAbgeleitet(String svNummerAbgeleitet)

    - #### setAnspruchId

          public void setAnspruchId(String anspruchId)

    - #### setAbgeleitetVorname

          public void setAbgeleitetVorname(String abgeleitetVorname)

    - #### setAbgeleitetNachname

          public void setAbgeleitetNachname(String abgeleitetNachname)

    - #### setAbgeleitetDruckVorname

          public void setAbgeleitetDruckVorname(String abgeleitetDruckVorname)

    - #### setAbgeleitetDruckNachname

          public void setAbgeleitetDruckNachname(String abgeleitetDruckNachname)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setBehandlungsfallCode

          public void setBehandlungsfallCode(String behandlungsfallCode)

    - #### setBehandlungsDatum

          public void setBehandlungsDatum(String behandlungsDatum)

    - #### setKonsultationsartCode

          public void setKonsultationsartCode(String konsultationsartCode)

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer

    - #### getSvNummerAbgeleitet

          public String getSvNummerAbgeleitet()

      Sozialversicherungsnummer des Versicherten, von dem sich der Anspruch ableitet.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer des Versicherten, von dem sich der Anspruch ableitet

    - #### getAnspruchId

          public String getAnspruchId()

      ID des Anspruchs (eigener oder abgeleiteter, dient zur Referenzierung dieses Anspruchs in anderen Funktionen).
      Format: maximal 19-stellig
      Returns:
        ID.

    - #### getAbgeleitetVorname

          public String getAbgeleitetVorname()

      Vorname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Vorname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetNachname

          public String getAbgeleitetNachname()

      Nachname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Nachname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetDruckVorname

          public String getAbgeleitetDruckVorname()

      Druckvorname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Druckvorname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetDruckNachname

          public String getAbgeleitetDruckNachname()

      Drucknachname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Drucknachname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getSvtCode

          public String getSvtCode()

      Code des leistungszuständigen KVT für den Patienten.
      Mögliche Werte siehe `getSVTs`.
      Format: 2-stellig
      Returns:
        KVT-Code

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
      Format: 2-stellig
      Returns:
        Fachgebietscode

    - #### getBehandlungsfallCode

          public String getBehandlungsfallCode()

      Behandlungsfallcode mit dem die Konsultation durchgeführt wurde.
      Format: 2-stellig
      Returns:
        Behandlungsfallcode

    - #### getBehandlungsDatum

          public String getBehandlungsDatum()

      Datum der Behandlung.
      Format: TTMMJJJJ
      Returns:
        Behandlungsdatum

    - #### getKonsultationsartCode

          public String getKonsultationsartCode()

      Kennzeichen für die Konsultationsart. Mögliche Werte siehe `Konsultationsart`.
      Format: 3-stellig
      Returns:
        Konsultationsartcode